From 07503aacd8a7081c645ce2087e13f32051ebe974 Mon Sep 17 00:00:00 2001
From: Austin Johnson <me@austinj.me>
Date: Sat, 8 Jun 2019 00:39:39 -0500
Subject: [PATCH] shaderc: update to 2019.0

---
 srcpkgs/shaderc/template | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/shaderc/template b/srcpkgs/shaderc/template
index ddebda15784..51fd7bb23db 100644
--- a/srcpkgs/shaderc/template
+++ b/srcpkgs/shaderc/template
@@ -1,18 +1,18 @@
 # Template file for 'shaderc'
 pkgname=shaderc
-version=2018.0
+version=2019.0
 revision=1
 wrksrc="shaderc-${version}"
 build_style=cmake
 configure_args="-DSHADERC_SKIP_TESTS=ON"
-hostmakedepends="python"
+hostmakedepends="python3"
 makedepends="SPIRV-Tools-devel glslang-devel"
 short_desc="Collection of tools, libraries and tests for shader compilation"
 maintainer="maxice8 <thinkabit.ukim@gmail.com>"
 license="Apache-2.0"
 homepage="https://github.com/google/shaderc"
 distfiles="https://github.com/google/shaderc/archive/v${version}.tar.gz"
-checksum=b96f27e7375a6df08732ebd47c18febf82bd0a87e541fd7814fd8c3aa6c8913a
+checksum=1018cd02be52295272fdbffa056ee24b881be277c83d039ad554d91230f4e11b
 
 pre_configure() {
 	# Unbundle glslang, SPIRV-Headers, SPIRV-Tools
@@ -27,8 +27,8 @@ pre_configure() {
 	# need to keep this in sync with glslang and SPIRV-Tools versions
 	# this is displayed with 'glslc --version'
 	cat <<- EOF > glslc/src/build-version.inc
-		"shaderc 2018.0\n"
-		"SPIRV-Tools-2018.6\n"
-		"glslang-7.10.2984\n"
+		"shaderc 2019.0\n"
+		"SPIRV-Tools-2019.2\n"
+		"glslang-7.11.3214\n"
 	EOF
 }
